/*
 * ImageLists.h
 * ------------
 * Purpose: Enums for image lists
 * Notes  : (currently none)
 * Authors: OpenMPT Devs
 * The OpenMPT source code is released under the BSD license. Read LICENSE for more details.
 */


#pragma once

#include "openmpt/all/BuildSettings.hpp"

OPENMPT_NAMESPACE_BEGIN

// Image List index
enum
{
	IMAGE_COMMENTS=0,
	IMAGE_PATTERNS,
	IMAGE_OPLINSTR = IMAGE_PATTERNS,
	IMAGE_SAMPLES,
	IMAGE_INSTRUMENTS,
	IMAGE_PLUGININSTRUMENT = IMAGE_INSTRUMENTS,
	IMAGE_GENERAL,
	IMAGE_FOLDER,
	IMAGE_OPENFOLDER,
	IMAGE_PARTITION,
	IMAGE_NOSAMPLE,
	IMAGE_FOLDERPARENT,
	IMAGE_FOLDERSONG,
	IMAGE_DIRECTX,
	IMAGE_WAVEOUT,
	IMAGE_EFFECTPLUGIN = IMAGE_WAVEOUT,
	IMAGE_ASIO,
	IMAGE_CHIP,
	IMAGE_SAMPLEMUTE,
	IMAGE_INSTRMUTE,
	IMAGE_SAMPLEACTIVE,
	IMAGE_INSTRACTIVE,
	IMAGE_NOPLUGIN,
	IMAGE_TUX,
	IMAGE_OPLINSTRACTIVE,
	IMAGE_OPLINSTRMUTE,
	IMAGE_EXTSAMPLEMISSING,
	IMAGE_EXTSAMPLE,
	IMAGE_EXTSAMPLEACTIVE,
	IMAGE_EXTSAMPLEMUTE,
	IMGLIST_NUMIMAGES
};


// Toolbar Image List index
enum
{
	TIMAGE_PATTERN_NEW=0,
	TIMAGE_PATTERN_STOP,
	TIMAGE_PATTERN_PLAY,
	TIMAGE_PATTERN_RESTART,
	TIMAGE_PATTERN_RECORD,
	TIMAGE_SAMPLE_FIXLOOP,
	TIMAGE_SAMPLE_NEW,
	TIMAGE_INSTR_NEW,
	TIMAGE_SAMPLE_NORMALIZE,
	TIMAGE_SAMPLE_AMPLIFY,
	TIMAGE_SAMPLE_RESAMPLE,
	TIMAGE_SAMPLE_REVERSE,
	TIMAGE_OPEN,
	TIMAGE_SAVE,
	TIMAGE_PREVIEW,
	TIMAGE_SAMPLE_AUTOTUNE,
	TIMAGE_PATTERN_VUMETERS,
	TIMAGE_MACROEDITOR,
	TIMAGE_CHORDEDITOR,
	TIMAGE_PATTERN_PROPERTIES,
	TIMAGE_PATTERN_EXPAND,
	TIMAGE_PATTERN_SHRINK,
	TIMAGE_SAMPLE_SILENCE,
	TIMAGE_PATTERN_OVERFLOWPASTE,
	TIMAGE_UNDO,
	TIMAGE_REDO,
	TIMAGE_PATTERN_PLAYROW,
	TIMAGE_SAMPLE_DOWNSAMPLE,
	TIMAGE_PATTERN_DETAIL_LO,
	TIMAGE_PATTERN_DETAIL_MED,
	TIMAGE_PATTERN_DETAIL_HI,
	TIMAGE_PATTERN_PLUGINS,
	TIMAGE_CHANNELMANAGER,
	TIMAGE_SAMPLE_INVERT,
	TIMAGE_SAMPLE_UNSIGN,
	TIMAGE_SAMPLE_DCOFFSET,
	TIMAGE_SAMPLE_STEREOSEP,
	PATTERNIMG_NUMIMAGES
};


// Sample editor toolbar image list index
enum
{
	SIMAGE_CHECKED = 0,
	SIMAGE_ZOOMUP,
	SIMAGE_ZOOMDOWN,
	SIMAGE_DRAW,
	SIMAGE_RESIZE,
	SIMAGE_GENERATE,
	SIMAGE_GRID,
	SAMPLEIMG_NUMIMAGES
};


// Instrument editor toolbar image list index
enum
{
	IIMAGE_CHECKED = 0,
	IIMAGE_VOLENV,
	IIMAGE_PANENV,
	IIMAGE_PITCHENV,
	IIMAGE_NOPITCHENV,
	IIMAGE_LOOP,
	IIMAGE_SUSTAIN,
	IIMAGE_CARRY,
	IIMAGE_NOCARRY,
	IIMAGE_VOLSWITCH,
	IIMAGE_PANSWITCH,
	IIMAGE_PITCHSWITCH,
	IIMAGE_FILTERSWITCH,
	IIMAGE_NOPITCHSWITCH,
	IIMAGE_NOFILTERSWITCH,
	IIMAGE_SAMPLEMAP,
	IIMAGE_GRID,
	IIMAGE_ZOOMIN,
	IIMAGE_NOZOOMIN,
	IIMAGE_ZOOMOUT,
	IIMAGE_NOZOOMOUT,
	IIMAGE_SAVE,
	IIMAGE_LOAD,
	ENVIMG_NUMIMAGES
};

OPENMPT_NAMESPACE_END
